Bug 12175 - smbget always prompts for a username
smbget always prompts for a username
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2016-08-25 12:24 UTC by Andreas Schneider
Modified: 2016-09-20 07:16 UTC (History)
3 users (show)

See Also:

patch for 4.4 (2.17 KB, patch)
2016-08-26 06:42 UTC, Andreas Schneider
jra: review+
patch for 4.5 (2.17 KB, patch)
2016-08-26 06:43 UTC, Andreas Schneider
jra: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-08-25 12:24:01 UTC
The get_auth_data() function of smbget always asks for a username even if it has been specified in the url using:


Also we do always have a username, if none is specified libsmbclient initializes with the current user.
Comment 1 Andreas Schneider 2016-08-26 06:42:49 UTC
Created attachment 12410 [details]
patch for 4.4
Comment 2 Andreas Schneider 2016-08-26 06:43:12 UTC
Created attachment 12411 [details]
patch for 4.5
Comment 3 Jeremy Allison 2016-08-26 18:13:44 UTC
Reassigning to Karolin for inclusion in 4.5.0, 4.4.next.
Comment 4 Stefan Metzmacher 2016-08-28 16:14:15 UTC
Pushed to autobuild-v4-5-test.
Comment 5 Stefan Metzmacher 2016-08-29 02:49:58 UTC
Pushed to v4-5-test.
Comment 6 Karolin Seeger 2016-09-13 10:11:22 UTC
Pushed to autobuild-v4-4-test.
Comment 7 Karolin Seeger 2016-09-20 07:16:26 UTC
Pushed to both branches.
Closing out bug report.